org.eclipse.gef.dot.internal.language

## Class DotFontNameStandaloneSetup

- java.lang.Object
- - org.eclipse.gef.dot.internal.language.DotFontNameStandaloneSetupGenerated
  - - org.eclipse.gef.dot.internal.language.DotFontNameStandaloneSetup

All Implemented Interfaces:
  org.eclipse.xtext.ISetup

    public class DotFontNameStandaloneSetup
    extends DotFontNameStandaloneSetupGenerated

Initialization support for running Xtext languages without equinox extension registry

### Constructor Summary

Constructors
Constructor and Description
`DotFontNameStandaloneSetup()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `doSetup()`
`void` `register(com.google.inject.Injector injector)`

### Methods inherited from class org.eclipse.gef.dot.internal.language.DotFontNameStandaloneSetupGenerated

`createInjector, createInjectorAndDoEMFRegistration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotFontNameStandaloneSetup

    public DotFontNameStandaloneSetup()

### Method Detail

#### doSetup

    public static void doSetup()

#### register

    public void register(com.google.inject.Injector injector)

Overrides:
  `register` in class `DotFontNameStandaloneSetupGenerated`